html, body {
  overflow-x: hidden;
  overflow-y: auto;
}

.field-notes-horizontal {
  position: relative;
  overflow: hidden;
  padding: 1rem 0;
}

#fieldnotesModal .modal-content p:last-child {
  margin-top: 1em;
}

.field-notes-scroll {
  display: flex;
  gap: 1rem;
  scroll-behavior: smooth;
  padding: 0.7rem;
  max-width: 100%;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: none; /* Firefox */
}
.field-notes-scroll::-webkit-scrollbar {
  display: none;
}

.field-note-card {
  flex: 0 0 auto;
  width: 350px;
  background: #fff;
  padding: 0.4em;
  cursor: pointer;
  box-sizing: border-box;
}
.field-note-card:hover {
  box-shadow: 0 3px 8px rgba(0,0,0,0.15);
}
.field-note-card img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 0px;
}
.field-note-card .excerpt {
  font-size: 0.9rem;
  line-height: 1.4;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
.field-note-card h4, .field-note-card p {
  margin: 0.7em;
}

.field-notes-horizontal .scroll-trigger {
  position: absolute;
  top: 0;
  width: 120px;
  height: 100%;
  z-index: 10;
}
.scroll-trigger.left { left: 0; }
.scroll-trigger.right { right: 0; }
.scroll-trigger::after {
  content: '';
  display: block;
  width: 100%;
  height: 100%;
}
.field-notes-horizontal .scroll-trigger:hover ~ .field-notes-scroll .field-note-card {
  opacity: 0.5;
}

/* Modal Styles */
#fieldnotesModal {
  display: none;
  position: fixed;
  z-index: 1000;
  top: 0; 
  left: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  scrollbar-width: none;
  -ms-overflow-style: none;
}
#fieldnotesModal .modal-content {
  background: var(--color-13);
  margin: 2rem 1rem;
  padding: 1.5em;
  width: calc(100% - 4.5rem);
  max-width: 760px;
  letter-spacing: .0825rem;
  color: var(--color-11);
  margin-bottom: 1rem;
  hyphens: auto;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  overflow-wrap: break-word;
  word-wrap: break-word;
  line-height: 1.3;
  border: 1px solid black;
 user-select: none;
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none;    /* Firefox */
  -ms-user-select: none;     /* IE10+ */
}
#fieldnotesModal .modal-content::-webkit-scrollbar {
  display: none;
}
#fieldnotesModal img,
#fieldnotesModal video,
#fieldnotesModal iframe {
  max-width: 100%;
  height: auto;
  display: block;
  margin: 0 auto 1em;
}
#fieldnotesModal .modal-close-btn {
  display: block;
  margin: 2em auto 0 auto;
  padding: 0.75em 1.5em;
  font-size: 1rem;
  letter-spacing: 0.0825rem;
  background: #000;
  color: #fff;
  border: none;
  cursor: pointer;
}
#fieldnotesModal .modal-close-btn:hover {
  background: #333;
}
#fieldnotesModal .modal-content .meta {
  color: var(--color-19);
  font-size: 0.85em;
  margin: 0.95em 0;
}